# Class for distrubuting the mcollective plugins from the master to all servers.
#
# These plugins live in the lib dir of the module.
class puppet_enterprise::mcollective::server::plugins {

  File {
    owner  => $puppet_enterprise::params::root_user,
    group  => $puppet_enterprise::params::root_group,
    mode   => $puppet_enterprise::params::root_mode,
  }

  if $::osfamily == 'windows' {
    file { "${puppet_enterprise::params::mco_etc}/plugins": ensure => directory }
  }

  file { $puppet_enterprise::params::mco_plugin_basedir:
    ensure  => directory,
    recurse => remote,
    source  => 'puppet:///modules/puppet_enterprise/mcollective/plugins',
  }

  $files_to_delete = [
    "${puppet_enterprise::params::mco_plugin_basedir}/agent/puppetd.rb",
    "${puppet_enterprise::params::mco_plugin_basedir}/agent/puppetd.ddl",
    "${puppet_enterprise::params::mco_plugin_basedir}/application/puppetd.rb",
  ]

  file { $files_to_delete:
    ensure => absent
  }
}
